Package com.smartgwt.client.util.workflow

# Class ShowNextToComponentTask

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.util.workflow.ProcessElement
com.smartgwt.client.util.workflow.Task
com.smartgwt.client.util.workflow.ComponentTask
com.smartgwt.client.util.workflow.ShowNextToComponentTask

All Implemented Interfaces:
  `HasHandlers`

public class ShowNextToComponentTask extends ComponentTask
Show a component next to some other component.

See Also:
  - `Canvas.showNextTo(com.smartgwt.client.widgets.Canvas)`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShowNextToComponentTask()`
  `ShowNextToComponentTask(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `Boolean`
  `getCanOcclude()`
  Can this component can be positioned on top of the other component if there isn't room to show next to it?
  `String`
  `getNextToComponentId()`
  The other component where this component will show.
  `static ShowNextToComponentTask`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `String`
  `getSide()`
  Which side of the other canvas should we show? Options are "top", "bottom", "left", "right".
  `Boolean`
  `getSkipAnimation()`
  Set to `false` to not use animation to show component.
  `ShowNextToComponentTask`
  `setCanOcclude(Boolean canOcclude)`
  Can this component can be positioned on top of the other component if there isn't room to show next to it?
  `ShowNextToComponentTask`
  `setNextToComponentId(String nextToComponentId)`
  The other component where this component will show.
  `ShowNextToComponentTask`
  `setSide(String side)`
  Which side of the other canvas should we show? Options are "top", "bottom", "left", "right".
  `ShowNextToComponentTask`
  `setSkipAnimation(Boolean skipAnimation)`
  Set to `false` to not use animation to show component.

  ### Methods inherited from class com.smartgwt.client.util.workflow.ComponentTask

  `getComponentBaseClass, getComponentBaseClassAsStringArray, getComponentId, getComponentRequiresDataSource, getTargetBaseClass, getTargetBaseClassAsStringArray, getTargetComponent, getTargetComponent, getUnsupportedComponentMessage, setComponentBaseClass, setComponentBaseClass, setComponentId, setComponentRequiresDataSource, setTargetBaseClass, setTargetBaseClass, setUnsupportedComponentMessage`

  ### Methods inherited from class com.smartgwt.client.util.workflow.Task

  `getExpressionValue, getInputFieldList, getInputRecord, getInputs, getInputsAsString, getInputsAsStringArray, getOutputExpression, getOutputField, getOutputFieldList, getState, getStrictPaths, setInputFieldList, setInputs, setInputs, setInputs, setOutput, setOutputExpression, setOutputField, setOutputFieldList, setState, setStrictPaths`

  ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

  `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getCurrentProcess, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInstanceDescription, getInstanceTitle, getInvalidTaskMessage, getJsObj, getMockMode, getNextElement, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setCurrentProcess, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setNextElement, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ShowNextToComponentTask

    public ShowNextToComponentTask()

  - ### ShowNextToComponentTask

    public ShowNextToComponentTask(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static ShowNextToComponentTask getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `ComponentTask`

  - ### setCanOcclude

    public ShowNextToComponentTask setCanOcclude(Boolean canOcclude) throws IllegalStateException
    Can this component can be positioned on top of the other component if there isn't room to show next to it?
    Parameters:
      `canOcclude` - New canOcclude value. Default value is null
    Returns:
      `ShowNextToComponentTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getCanOcclude

    public Boolean getCanOcclude()
    Can this component can be positioned on top of the other component if there isn't room to show next to it?
    Returns:
      Current canOcclude value. Default value is null

  - ### setNextToComponentId

    public ShowNextToComponentTask setNextToComponentId(String nextToComponentId) throws IllegalStateException
    The other component where this component will show.
    Parameters:
      `nextToComponentId` - New nextToComponentId value. Default value is null
    Returns:
      `ShowNextToComponentTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created
    See Also:
      - `GlobalId`

  - ### getNextToComponentId

    public String getNextToComponentId()
    The other component where this component will show.
    Returns:
      Current nextToComponentId value. Default value is null
    See Also:
      - `GlobalId`

  - ### setSide

    public ShowNextToComponentTask setSide(String side) throws IllegalStateException
    Which side of the other canvas should we show? Options are "top", "bottom", "left", "right". (Defaults to "right")
    Parameters:
      `side` - New side value. Default value is null
    Returns:
      `ShowNextToComponentTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getSide

    public String getSide()
    Which side of the other canvas should we show? Options are "top", "bottom", "left", "right". (Defaults to "right")
    Returns:
      Current side value. Default value is null

  - ### setSkipAnimation

    public ShowNextToComponentTask setSkipAnimation(Boolean skipAnimation) throws IllegalStateException
    Set to `false` to not use animation to show component.
    Parameters:
      `skipAnimation` - New skipAnimation value. Default value is null
    Returns:
      `ShowNextToComponentTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getSkipAnimation

    public Boolean getSkipAnimation()
    Set to `false` to not use animation to show component.
    Returns:
      Current skipAnimation value. Default value is null